#!/bin/bash
# DRL standard module install script
# Original template - Bob Bane, DRL, NASA/GSFC

# The usual junk about finding out where we are...

case $0 in
         /*)  SHELLFILE=$0 ;;
        ./*)  SHELLFILE=${PWD}${0#.} ;;
        ../*) SHELLFILE=${PWD%/*}${0#..} ;;
          *)  SHELLFILE=$(type -P $0) ; if [ ${SHELLFILE:0:1} != "/" ]; then SHELLFILE=${PWD}/$SHELLFILE ; fi ;;
esac
SHELLDIR=${SHELLFILE%/*}

# If we're part of an IPOPP install, the file ../site.properties will tell us

if [ -f ${SHELLDIR}/../site.properties ]; then
    echo "Configuring RT-STPS for IPOPP Mode"
    # Do IPOPP-specific stuff here

    # If there is an old symbolic link, remove it and create a new one
    # otherwise if there is a data directory already, do nothing
    # otherwise there is nothing, so create the symbolic link
    if [ -f ${SHELLDIR}/../data ]; then
       echo "Found file ${SHELLDIR}/../data ... skipping creation of data symbolic link"
    elif [ -L ${SHELLDIR}/../data ]; then
       echo "Found symbolic link ${SHELLDIR}/../data ... skipping creation of data symbolic link"
    elif [ -d ${SHELLDIR}/../data ] ; then
       echo "Found directory ${SHELLDIR}/../data ... skipping creation of data symbolic link"
    else
       TARGET_NAME=`sed -n -e 's/^DSM_INCOMING_DIRECTORY[ ]*=[ ]*\(.*\)$/\1/p' < ${SHELLDIR}/../site.properties`
       echo "Creating symbolic link from ${SHELLDIR}/../data to $TARGET_NAME"
       ln -s $TARGET_NAME ${SHELLDIR}/../data
    fi
     
else
    echo "Configuring RT-STPS for Standalone Mode"
    # Do standalone-specific stuff here
    
    if [ -f ${SHELLDIR}/../data ] ; then
       echo "Found file ${SHELLDIR}/../data ... skipping creation of data directory"
    elif [ -L ${SHELLDIR}/../data ] ; then 
       echo "Found symbolic link ${SHELLDIR}/../data ... skipping creation of data directory"
    elif [ -d ${SHELLDIR}/../data ] ; then 
       echo "Found directory ${SHELLDIR}/../data ... skipping creation of data directory"
    else
       echo "Making directory: ${SHELLDIR}/../data"
       mkdir ${SHELLDIR}/../data
    fi
    
fi
echo "Configuration complete."

# Do common configuration stuff here

